### Enumeration

# Fwupd ReleaseFlags

#### Declaration

    flags Fwupd.ReleaseFlags

#### Description [src]

Flags used to represent release attributes.

#### Members

`FWUPD_RELEASE_FLAG_NONE`

  No flags are set.

  - Value: `0`
  - Available since: 1.2.6
`FWUPD_RELEASE_FLAG_TRUSTED_PAYLOAD`

  The payload binary is trusted.

  - Value: `1`
  - Available since: 1.2.6
`FWUPD_RELEASE_FLAG_TRUSTED_METADATA`

  The payload metadata is trusted.

  - Value: `2`
  - Available since: 1.2.6
`FWUPD_RELEASE_FLAG_IS_UPGRADE`

  The release is newer than the device version.

  - Value: `4`
  - Available since: 1.2.6
`FWUPD_RELEASE_FLAG_IS_DOWNGRADE`

  The release is older than the device version.

  - Value: `8`
  - Available since: 1.2.6
`FWUPD_RELEASE_FLAG_BLOCKED_VERSION`

  The installation of the release is blocked as below device version-lowest.

  - Value: `16`
  - Available since: 1.2.6
`FWUPD_RELEASE_FLAG_BLOCKED_APPROVAL`

  The installation of the release is blocked as release not approved by an administrator.

  - Value: `32`
  - Available since: 1.2.6
`FWUPD_RELEASE_FLAG_IS_ALTERNATE_BRANCH`

  The release is an alternate branch of firmware.

  - Value: `64`
  - Available since: 1.5.0
`FWUPD_RELEASE_FLAG_IS_COMMUNITY`

  The release is supported by the community and not the hardware vendor.

  - Value: `128`
  - Available since: 1.7.5
`FWUPD_RELEASE_FLAG_TRUSTED_REPORT`

  The payload has been tested by a report we trust.

  - Value: `256`
  - Available since: 1.9.1
`FWUPD_RELEASE_FLAG_UNKNOWN`

  The release flag is unknown, typically caused by using mismatched client and daemon.

  - Value: `0`
  - Available since: 1.2.6